API Reference
Export presentation
Export a presentation to PPTX or PDF. Returns a temporary download URL (valid 14 hours). The presentation must have status ‘ready’. May take 1-3 minutes.
POST
/
v1
/
presentations
/
{presentationId}
/
export
Export presentation
curl --request POST \
--url https://api.getsteerco.com/v1/presentations/{presentationId}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '{}'import requests
url = "https://api.getsteerco.com/v1/presentations/{presentationId}/export"
payload = {}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.getsteerco.com/v1/presentations/{presentationId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "<string>",
"expiresAt": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
API key (ak_ prefix). Generate one from your Steerco profile settings.
Headers
The workspace ID. Get available workspaces from GET /v1/workspaces.
Path Parameters
The presentation ID to export
Pattern:
^[a-f\d]{24}$/iBody
application/json
Export format (default: pptx)
Available options:
pptx, pdf ⌘I
Export presentation

